import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { DeleteInstitutionUseCase } from './DeleteInstitutionUseCase';

class DeleteInstitutionController {
    async handle(request: Request, response: Response) {
        const {id } = request.params;
        const deleteInstitutionUseCase = container.resolve(DeleteInstitutionUseCase)

        await deleteInstitutionUseCase.execute(id)

        return response.status(200).json({ "message": "Deleted" })
    }
}

export {DeleteInstitutionController}