import { IInstitutionsRepository } from "@modules/institutions/repositories/IInstitutionsRepository";
import { AppError } from "@shared/error/AppError";
import { inject, injectable } from "tsyringe";

@injectable()
class DeleteInstitutionUseCase {
    constructor(
        @inject('InstitutionsRepository')
        private institutionsRepository: IInstitutionsRepository
    ) { }

    async execute(id: string) {
        const institutionAlreadyExists = await this.institutionsRepository.findById(id);
        if (!institutionAlreadyExists) {
            throw new AppError('Institution doesnt exists', 404);
        }

        await this.institutionsRepository.deleteInstitutions(id)

        return true
    }
}

export { DeleteInstitutionUseCase }